summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /www-apache/mod_fcgid
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'www-apache/mod_fcgid')
-rw-r--r--www-apache/mod_fcgid/Manifest1
-rw-r--r--www-apache/mod_fcgid/files/2.2/20_mod_fcgid.conf7
-rw-r--r--www-apache/mod_fcgid/metadata.xml12
-rw-r--r--www-apache/mod_fcgid/mod_fcgid-2.3.9-r1.ebuild31
-rw-r--r--www-apache/mod_fcgid/mod_fcgid-2.3.9.ebuild27
5 files changed, 78 insertions, 0 deletions
diff --git a/www-apache/mod_fcgid/Manifest b/www-apache/mod_fcgid/Manifest
new file mode 100644
index 00000000000..93c02e929f5
--- /dev/null
+++ b/www-apache/mod_fcgid/Manifest
@@ -0,0 +1 @@
+DIST mod_fcgid-2.3.9.tar.bz2 80205 SHA256 442c29528e34fefc946dd356fcf8240e1953aed89eb5597fc55898d3d06f183f SHA512 c429c14990cc8b492e88db1aa00fc2593bfb1b129b9001be21670d42c8f3e5038acd3f4556b48f3ac7dfc03c8d3656f0d4402122932e5bdc2c2aab1c7c235121 WHIRLPOOL a872bd74b92ee8c5ed8edec23bfe3d4ebbcff29670883462040c8c2c825b1ad71a42c0e85f8c278c0bef887e7f35e3fb9d931b27a9aa6e99afccf6623674188d
diff --git a/www-apache/mod_fcgid/files/2.2/20_mod_fcgid.conf b/www-apache/mod_fcgid/files/2.2/20_mod_fcgid.conf
new file mode 100644
index 00000000000..38cfa39e0bd
--- /dev/null
+++ b/www-apache/mod_fcgid/files/2.2/20_mod_fcgid.conf
@@ -0,0 +1,7 @@
+<IfDefine FCGID>
+LoadModule fcgid_module modules/mod_fcgid.so
+SocketPath /var/run/fcgidsock
+SharememPath /var/run/fcgid_shm
+</IfDefine>
+
+# vim: ts=4 filetype=apache
diff --git a/www-apache/mod_fcgid/metadata.xml b/www-apache/mod_fcgid/metadata.xml
new file mode 100644
index 00000000000..43da0685a4b
--- /dev/null
+++ b/www-apache/mod_fcgid/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ </maintainer>
+ <longdescription lang="en">
+ mod_fcgid has a new process management strategy, which concentrates on
+ reducing the number of fastcgi server, and kick out the corrupt fastcgi
+ server as soon as possible.
+ </longdescription>
+</pkgmetadata>
diff --git a/www-apache/mod_fcgid/mod_fcgid-2.3.9-r1.ebuild b/www-apache/mod_fcgid/mod_fcgid-2.3.9-r1.ebuild
new file mode 100644
index 00000000000..6d6d73d567a
--- /dev/null
+++ b/www-apache/mod_fcgid/mod_fcgid-2.3.9-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit apache-module eutils multilib
+
+DESCRIPTION="A binary-compatible alternative to mod_fastcgi with better process management"
+HOMEPAGE="http://httpd.apache.org/mod_fcgid/"
+SRC_URI="mirror://apache/httpd/mod_fcgid/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+APACHE2_MOD_CONF="2.2/20_${PN}"
+APACHE2_MOD_DEFINE="FCGID"
+
+DOCFILES="CHANGES-FCGID README-FCGID STATUS-FCGID"
+
+need_apache2
+
+src_configure() {
+ ./configure.apxs || die "apxs configure failed"
+}
+
+src_compile () {
+ emake
+ ln -sf modules/fcgid/.libs .libs || die "symlink creation failed"
+}
diff --git a/www-apache/mod_fcgid/mod_fcgid-2.3.9.ebuild b/www-apache/mod_fcgid/mod_fcgid-2.3.9.ebuild
new file mode 100644
index 00000000000..4b43cb67b78
--- /dev/null
+++ b/www-apache/mod_fcgid/mod_fcgid-2.3.9.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit apache-module eutils multilib
+
+DESCRIPTION="mod_fcgid is a binary-compatible alternative to mod_fastcgi with better process management"
+HOMEPAGE="http://httpd.apache.org/mod_fcgid/"
+SRC_URI="mirror://apache/httpd/mod_fcgid/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~hppa ppc ~ppc64 x86"
+IUSE=""
+
+APACHE2_MOD_CONF="2.2/20_${PN}"
+APACHE2_MOD_DEFINE="FCGID"
+
+DOCFILES="CHANGES-FCGID README-FCGID STATUS-FCGID"
+
+need_apache2
+
+src_compile () {
+ ./configure.apxs || die "apxs configure failed!"
+ make || die "make failed"
+ ln -sf modules/fcgid/.libs .libs || die "symlink creation failed"
+}